Help compiling another version of openssh needed

I want to use a censorship circumvention python software called psiphon. The python part seems to work, but it needs a different version of ssh, which is inluded in the downloaded tarball. How can I compile ssh for openwrt?

I have found informations about installing the SDK on my computer, where I have running Manjaro Linux, and cross compiling it. But to be honest, that is a bit to complicated for my level of knowledge about Linux. Is there a way to compile it on my omnia?

Thank you!